--- title: Disable old security identities slug: '33' canonical_url: https://docs.coveo.com/en/33/ collection: index-content source_format: adoc --- # Disable old security identities :figure-caption!: You can perform a single `Delete old security identities` request to disable a set of [security identities](https://docs.coveo.com/en/240/) in a specific [security identity provider](https://docs.coveo.com/en/242/). This request disables identities that were last updated by a Push API request with an `orderingId` value lower than the value you specify. > **Note** > > For legacy reasons, the path of this request uses the word _permissions_ instead of _identities_. > While those two concepts are related, they have entirely different meanings. > Remember that this request actually allows you to interact with [security identities](https://docs.coveo.com/en/240/), not item [permissions](https://docs.coveo.com/en/223/). ## Request template **US East region** [%collapsible%open] #### [source,http,subs=attributes] ``` DELETE https://api.cloud.coveo.com/push/v1/organizations//providers//permissions/olderthan?orderingId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ``` #### .Canada region
Details [source,http,subs=attributes] ``` DELETE https://api-ca.cloud.coveo.com/push/v1/organizations//providers//permissions/olderthan?orderingId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
**Ireland region**
Details [source,http,subs=attributes] ``` DELETE https://api-eu.cloud.coveo.com/push/v1/organizations//providers//permissions/olderthan?orderingId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
**Australia region**
Details [source,http,subs=attributes] ``` DELETE https://api-au.cloud.coveo.com/push/v1/organizations//providers//permissions/olderthan?orderingId= HTTP/1.1 ​ Accept: application/json Authorization: Bearer ```
Request parameters: **Parameters**
Details In the request path: * Replace `` with your [organization ID](https://docs.coveo.com/en/148/). * Replace `` with the ID of the target security identity provider. See [Create a security identity provider for a secured Push source](https://docs.coveo.com/en/85/) for details. In the query string: * Replace `` with the `orderingId` value you want to use to indicate that any security identity pushed with a request whose `orderingId` is lower (_older_) than this value should be disabled in the security identity cache. See [About the orderingId parameter](https://docs.coveo.com/en/147/) for details. In the `Authorization` HTTP header: * Replace `` with a Push source API key that grants the [set of privileges required to push security identities](https://docs.coveo.com/en/1546#api-key) to the security identity provider.
Request body: None Successful response: `202 Accepted` ## Sample request The following example shows how to disable all security identities older than the specified `orderingId` value. ```http DELETE https://api.cloud.coveo.com/push/v1/organizations/mycoveocloudv2organizationg8tp8wu3/providers/My%20Secured%20Push%20Source%20Security%20Identity%20Provider/permissions/olderthan?orderingId=1509711177594 HTTP/1.1 ​ Accept: application/json Authorization: Bearer **********-****-****-****-************ ```